Đến nội dung


Hình ảnh

Giúp đỡ về lệnh Convert 3D polyline to Polyline


  • Please log in to reply
9 replies to this topic

#1 bathuan

bathuan

    Chưa sử dụng CAD

  • Members
  • Pip
  • 4 Bài viết
Điểm đánh giá: 0 (bình thường)

Đã gửi 14 October 2009 - 08:27 PM

Tôi mới tìm hiểu về Cad nên còn gà về vấn đề này lắm, tôi mong các bạn chỉ giáo giúp: Trong CAD có lện nào để Convert 3D polyline to Polyline. Cảm ơn
  • 0

#2 xuantran15

xuantran15

    biết lệnh ddedit

  • Members
  • PipPipPipPip
  • 295 Bài viết
Điểm đánh giá: 112 (tàm tạm)

Đã gửi 14 October 2009 - 08:35 PM

Tôi mới tìm hiểu về Cad nên còn gà về vấn đề này lắm, tôi mong các bạn chỉ giáo giúp: Trong CAD có lện nào để Convert 3D polyline to Polyline. Cảm ơn

Explore nó ra và nối lại bằng Pedit là được :bigsmile:
Lưu ý: Bài viết cùng một nội dung bạn không nên post nhiều lần, hãy kiên nhẫn bạn nhé.
  • 0
Hình đã gửi
Thu đi cho lá vàng bay
Lá rơi cho đám cưới về......

#3 bathuan

bathuan

    Chưa sử dụng CAD

  • Members
  • Pip
  • 4 Bài viết
Điểm đánh giá: 0 (bình thường)

Đã gửi 14 October 2009 - 08:47 PM

Explore nó ra và nối lại bằng Pedit là được :bigsmile:
Lưu ý: Bài viết cùng một nội dung bạn không nên post nhiều lần, hãy kiên nhẫn bạn nhé.

Xin lỗi tại lúc gửi bài thì mạng bị lỗi nên bị thế.
Bạn còn cách nào khác để Convert 3D polyline to Polyline nhanh hơn không, làm thế thì lâu quá, vì bản vẽ của mình rất nhiều 3D Polyline cần Convert mà. Cảm ơn bạn xuantran15
  • 0

#4 xuantran15

xuantran15

    biết lệnh ddedit

  • Members
  • PipPipPipPip
  • 295 Bài viết
Điểm đánh giá: 112 (tàm tạm)

Đã gửi 14 October 2009 - 09:29 PM

Xin lỗi tại lúc gửi bài thì mạng bị lỗi nên bị thế.
Bạn còn cách nào khác để Convert 3D polyline to Polyline nhanh hơn không, làm thế thì lâu quá, vì bản vẽ của mình rất nhiều 3D Polyline cần Convert mà. Cảm ơn bạn xuantran15

Còn 1 cách nữa nhưng nó chỉ có trong civil 3d thôi. Nếu bạn có dùng civil thì vào mục terrain/ 3dpoly/convert to 2D polyline. còn không thì nhờ các bác trên diễn đàn viết cho 1 cái lisp vậy. :bigsmile:
  • 0
Hình đã gửi
Thu đi cho lá vàng bay
Lá rơi cho đám cưới về......

#5 Tue_NV

Tue_NV

    KS Võ Quang Tuệ

  • Moderator
  • PipPipPipPipPipPipPip
  • 4296 Bài viết
Điểm đánh giá: 3804 (đỉnh cao)

Đã gửi 14 October 2009 - 09:32 PM

Xin lỗi tại lúc gửi bài thì mạng bị lỗi nên bị thế.
Bạn còn cách nào khác để Convert 3D polyline to Polyline nhanh hơn không, làm thế thì lâu quá, vì bản vẽ của mình rất nhiều 3D Polyline cần Convert mà. Cảm ơn bạn xuantran15

Lisp này sẽ giúp bạn : (theo giống ý của Xuantran)
1. Chọn các 3DPOLY
2 -> Lisp sẽ convert 3D polyline to Polyline cho bạn
Đây :

(defun c:c3d2d( / ssg ss from to cur)
(setq ssg (ssget '((0 . "POLYLINE"))) i 0 ss (ssadd))

(while (< i (sslength ssg))
(setq frome (entlast))
(setq e (ssname ssg i))
(command "explode" e "")
(setq toe (entlast))

(setq cur frome)
(while (not (eq cur toe))
(setq
cur (entnext cur)
ss (ssadd cur ss)
)
)
(command "PEDIT" "m" ss "" "Y" "j" "0" "")
(setq i (1+ i))
)
(princ)
)

  • 2

#6 thiep

thiep

    biết dimbaseline

  • Members
  • PipPipPipPipPip
  • 369 Bài viết
Điểm đánh giá: 260 (khá)

Đã gửi 15 October 2009 - 02:28 PM

Tôi mới tìm hiểu về Cad nên còn gà về vấn đề này lắm, tôi mong các bạn chỉ giáo giúp: Trong CAD có lện nào để Convert 3D polyline to Polyline. Cảm ơn

Vẫn còn 1 cách nữa, xin tiếp cận tạo lisp để Convert 3D polyline to Polyline với các các hàm acet-... mà không cần nổ đối tượng:
;| Convert 3D polyline to Polyline Lisp
yeu cau: express tools day du|;
(defun c:3d->2d (/ ssg ss lstptmp e L)
(prompt "\nSelect polyline: ")
(setq ssg (ssget '((0 . "POLYLINE")))
lstptmp nil
i 0)
(while (< i (sslength ssg))
(setq e (ssname ssg i))
(setq L (ACET-GEOM-VERTEX-LIST e))
(foreach ptemp L
(setq lstptmp (append lstptmp (list(list (car ptemp) (cadr ptemp)))))
)
(ACET-LWPLINE-MAKE (List lstptmp))
(setq i (1+ i)
lstptmp nil
)
(entdel e)
)
(princ)
)

  • 3

#7 mtacd

mtacd

    biết pan

  • Members
  • Pip
  • 7 Bài viết
Điểm đánh giá: 0 (bình thường)

Đã gửi 13 November 2012 - 04:15 PM

Tôi mới tìm hiểu về Cad nên còn gà về vấn đề này lắm, tôi mong các bạn chỉ giáo giúp: Trong CAD có lện nào để Convert 3D polyline to Polyline. Cảm ơn

Bạn dùng ANDDesign, sau đó dùng lệnh C3DT2D,quét chọn các 3DPolyline.enter là ok
  • 0

#8 hoquangvinh

hoquangvinh

    biết lệnh mirror

  • Members
  • PipPipPip
  • 154 Bài viết
Điểm đánh giá: 5 (bình thường)

Đã gửi 19 September 2013 - 08:28 PM

thiep, on 15 Oct 2009 - 14:21, said:
Vẫn còn 1 cách nữa, xin tiếp cận tạo lisp để Convert 3D polyline to Polyline với các các hàm acet-... mà không cần nổ đối tượng:

;| Convert 3D polyline to Polyline Lispyeu cau: express tools day du|; (defun c:3d-&gt;2d (/ ssg ss lstptmp e L)  (prompt "\nSelect polyline: ")  (setq	ssg (ssget '((0 . "POLYLINE")))	lstptmp	nil	i 0)  (while (&lt; i (sslength ssg))    (setq e (ssname ssg i))    (setq L (ACET-GEOM-VERTEX-LIST e))    (foreach ptemp L      (setq lstptmp (append lstptmp (list(list (car ptemp) (cadr ptemp)))))    )    (ACET-LWPLINE-MAKE (List lstptmp))    (setq i (1+ i)	  lstptmp nil    )    (entdel e)  )  (princ))

Trong mấy cái trên mình thử và ko dùng đc cái nào cả
mỗi cái này là chuyển về polyline đc
  • 0

#9 huaductiep

huaductiep

    biết vẽ rectang

  • Members
  • PipPip
  • 85 Bài viết
Điểm đánh giá: 2 (bình thường)

Đã gửi 28 November 2013 - 10:15 AM

Cái này chuẩn. Thanks các bác :)

Vẫn còn 1 cách nữa, xin tiếp cận tạo lisp để Convert 3D polyline to Polyline với các các hàm acet-... mà không cần nổ đối tượng:


;| Convert 3D polyline to Polyline Lispyeu cau: express tools day du|; (defun c:3d->2d (/ ssg ss lstptmp e L)  (prompt "\nSelect polyline: ")  (setq	ssg (ssget '((0 . "POLYLINE")))	lstptmp	nil	i 0)  (while (< i (sslength ssg))    (setq e (ssname ssg i))    (setq L (ACET-GEOM-VERTEX-LIST e))    (foreach ptemp L      (setq lstptmp (append lstptmp (list(list (car ptemp) (cadr ptemp)))))    )    (ACET-LWPLINE-MAKE (List lstptmp))    (setq i (1+ i)	  lstptmp nil    )    (entdel e)  )  (princ))

  • 0

#10 Nguyen Nam

Nguyen Nam

    Chưa sử dụng CAD

  • Members
  • Pip
  • 1 Bài viết
Điểm đánh giá: 0 (bình thường)

Đã gửi 28 November 2013 - 04:46 PM

sdsaf sad ádf

 

Cái này chuẩn. Thanks các bác :)

 

Xin lỗi tại lúc gửi bài thì mạng bị lỗi nên bị thế.
Bạn còn cách nào khác để Convert 3D polyline to Polyline nhanh hơn không, làm thế thì lâu quá, vì bản vẽ của mình rất nhiều 3D Polyline cần Convert mà. Cảm ơn bạn xuantran15


  • 0